Subject: Re: [yam] [Editorial Errata Reported] RFC5321 (1820)

From: Alessandro Vesely <[email-masked]>
Date: Fri, 31 Jul 2009 10:56:52 +0200

John C Klensin wrote:
> The existing text was chosen, after considerable discussion on
> the mailing list prior to approval of what became RFC 5321, as
> the language least likely to cause confusion or interpreted
> ambiguously.  Changing it on an errata basis would almost
> certainly be a bad idea.

John,
searching for "3.9.2" on mail-archive brings only up previous 
discussions between you and me on the same subject. You rejected all 
of them on various reason, e.g. because the last call had already been 
issued, or because of the nature of the forwarding model as expressed 
in http://www.mail-archive.com/[email-masked]/msg00468.html. I 
never found the discussion where that paragraph has been introduced, I 
guess it was not public.

This time I'm not aiming at any relevant change, but just correcting a 
typo: that use of "forwarding" conflicts with the previous use of the 
same term in the same paragraph, and the last phrase of the previous 
section. Readers can only grasp the intended meaning because of the 
parenthesized comment "(this section)", which shouldn't be strictly 
necessary.

> The submitter should monitor the YAM
> WG list for the beginning of discussion on 5321bis/2821ter and
> make this suggestion for a change there.

Fine. I submitted the errata after reading about the proposal to go 
ahead with the existing two corrections. I CC this to yam, in case a 
further kick is needed to start that discussion.

My apologies for causing unnecessary work.

> --On Thursday, July 30, 2009 22:35 -0700 RFC Errata System
> <[email-masked]> wrote:
> 
>> 
>> The following errata report has been submitted for RFC5321,
>> "Simple Mail Transfer Protocol".
>> 
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=5321&eid=1820
>> 
>> --------------------------------------
>> Type: Editorial
>> Reported by: Alessandro Vesely <[email-masked]>
>> 
>> Section: 3.9.2
>> 
>> Original Text
>> -------------
>>    A mailing list may be said to operate by "redistribution"
>> rather than    by "forwarding".     [...]     Note that
>>    the key difference between handling aliases (Section 3.9.1)
>> and    forwarding (this subsection) is the change to the
>> backward-pointing    address in this case.  [...]
>> 
>> 
>> 
>> Corrected Text
>> --------------
>>    A mailing list may be said to operate by "redistribution"
>> rather than    by "forwarding".     [...]     Note that
>>    the key difference between handling aliases (Section 3.9.1)
>> and    lists (this subsection) is the change to the
>> backward-pointing    address in this case.     [...]
>> 
>> 
>> Notes
>> -----
>> The change replaces the second occurrence of "forwarding" with
>> "lists" in the first paragraph of section 3.9.2.
>> 
>> The term "forwarding" is generally used as a synonym of
>> transmitting as opposed to delivering locally. The beginning
>> of this section attempts to introduce the term
>> "redistribution" for the specific type of transmission
>> described therein. The phrase where the change is necessary,
>> in its original wording, contradicts both the first phrase in
>> its own paragraph, and the last phrase of the preceding
>> section about aliases, which says that handling aliases may
>> result in forwarding.
>> 
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary,
>> please use "Reply All" to discuss whether it should be
>> verified or rejected. When a decision is reached, the
>> verifying party (IESG) can log in to change the status and
>> edit the report, if necessary. 
>> 
>> --------------------------------------
>> RFC5321 (draft-klensin-rfc2821bis-11)
>> --------------------------------------
>> Title               : Simple Mail Transfer Protocol
>> Publication Date    : October 2008
>> Author(s)           : J. Klensin
>> Category            : DRAFT STANDARD
>> Source              : IETF - NON WORKING GROUP
>> Area                : N/A
>> Stream              : IETF
>> Verifying Party     : IESG
> 
> 
> 
>

---

From: John C Klensin <[email-masked]>
Date: Fri, 31 Jul 2009 11:46:33 -0400

Alessandro,

My apologies if I reacted too quickly and without consulting the
archive and/or my notes.  Posting something the last day of IETF
almost guarantees that my brain will be half functional at best.
Given the history that you relate, it is conceivable that this
change is already tentatively in the preliminary (unposted)
version of 5321bis -- please check that when it is posted.   

However, to restate my earlier comment...  Given that there is
now a WG with responsibility for 5321bis, I do not think it is
appropriate to make changes to the document without consulting
the WG to either approve or reject them.   If the WG approves,
then errata as a placeholder until 5321bis is approved ought to
be an extremely easy approval path, at least IMO.

    john

--On Friday, July 31, 2009 10:56 +0200 Alessandro Vesely
<[email-masked]> wrote:

> discussions between you and me on the same subject. You
> rejected all of them on various reason, e.g. because the last
> call had already been issued, or because of the nature of the
> forwarding model as expressed in
> http://www.mail-archive.com/[email-masked]/msg00468.html. I
> never found the discussion where that paragraph has been
> introduced, I guess it was not public.
> 
> This time I'm not aiming at any relevant change, but just
> correcting a typo: that use of "forwarding" conflicts with the
> previous use of the same term in the same paragraph, and the
> last phrase of the previous section. Readers can only grasp
> the intended meaning because of the parenthesized comment
> "(this section)", which shouldn't be strictly necessary.
> 
> Fine. I submitted the errata after reading about the proposal
> to go ahead with the existing two corrections. I CC this to
> yam, in case a further kick is needed to start that discussion.
> 
>>>    the key difference between handling aliases (Section
>>>    3.9.1) and    forwarding (this subsection) is the change
>>> to the backward-pointing    address in this case.  [...]
>>> 
>>> 
>>> 
>>> Corrected Text
>>> --------------
>>>    the key difference between handling aliases (Section
>>>    3.9.1) and    lists (this subsection) is the change to the
>>> The change replaces the second occurrence of "forwarding"
>>> with "lists" in the first paragraph of section 3.9.2.
>>>

---

From: SM <[email-masked]>
Date: Fri, 31 Jul 2009 11:30:05 -0700

Hi Alessandro,
At 01:56 31-07-2009, Alessandro Vesely wrote:
>of them on various reason, e.g. because the last call had already 
>been issued, or because of the nature of the forwarding model as 
>expressed in 
>http://www.mail-archive.com/[email-masked]/msg00468.html. I never 
>found the discussion where that paragraph has been introduced, I 
>guess it was not public.

There were some comments (most likely off-list) on that section prior 
to the message at the above URL.

Regards,
-sm